Bug 1028219 - python-tornado 3.2.0 is available
python-tornado 3.2.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-tornado (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On: 1033941
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 17:53 EST by Orion Poplawski
Modified: 2014-05-29 20:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 20:18:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-11-07 17:53:01 EST
Description of problem:

python-tornado 3.1.1 is available.  Any reason not to upgrade to it?  GateOne at least appears to require >= 3.0.
Comment 1 Thomas Spura 2013-11-24 10:25:01 EST
(In reply to Orion Poplawski from comment #0)
> python-tornado 3.1.1 is available.  Any reason not to upgrade to it?

There are some "raise NotImplementedError", so it seems one must use a subclass of IOLoop instead of using it directly.
At least python-asyncmongo doesn't like it.

> GateOne at least appears to require >= 3.0.

Same here with ipython... -.-
Comment 2 Fedora Admin XMLRPC Client 2013-12-01 07:33:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Orion Poplawski 2014-04-11 19:14:12 EDT
Thomas - Any progress here?  I'm looking at building an ipython update and hitting this again.
Comment 4 Orion Poplawski 2014-04-12 00:04:07 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6729836

I'll push this soon unless there are objections.
Comment 5 Thomas Spura 2014-04-12 03:37:04 EDT
(In reply to Orion Poplawski from comment #4)
> Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6729836
> 
> I'll push this soon unless there are objections.

At least python-asyncmongo had problems with python-tornado-3.1.1. But the testsuite also failed for 2.2.1, so I was unsure what to do here...
So I leave it up to your decision to push it or not :)

I just want to hold back the ipython update until the bundling exception ticket in fpc passed as there are a lot of JS bundled...
Comment 6 Thomas Spura 2014-04-25 09:27:18 EDT
python-socks-tornado seems to support tornado-3:
https://github.com/mrjoes/sockjs-tornado/issues/57

Other dependencies:
- eucalyptus-console-0:3.3.0-0.5.20130408git32052445.fc20.x86_64
- python-TornadIO2-0:0.0.4-4.fc20.noarch
  see https://github.com/mrjoes/tornadio2/pull/76
- python-asyncmongo-0:0.1.3-5.fc20.noarch
  see bug #1033941
- python-ipython-notebook-0:0.13.2-2.fc20.noarch
  Next version supports/requires it.
- python-sockjs-tornado-0:1.0.0-2.fc20.noarch
  seems to support it: https://github.com/mrjoes/sockjs-tornado/issues/57
- python-testify-0:0.4.0-3.fc20.noarch
  Many failures in testsuite, didn't track it down any further.
Comment 7 Thomas Spura 2014-05-29 20:18:57 EDT
python-tornado-3.2.1 is built in rawhide:
http://koji.fedoraproject.org/koji/buildinfo?buildID=520388

Note You need to log in before you can comment on or make changes to this bug.